---
title: "Money Decorator"
generated: true
---
<GenerationInfo sourceFile="packages/core/src/entity/money.decorator.ts" sourceLine="26" packageName="@vendure/core" since="2.0.0" />

Use this decorator for any entity field that is storing a monetary value.
This allows the column type to be defined by the configured [MoneyStrategy](/reference/typescript-api/money/money-strategy#moneystrategy).

```ts title="Signature"
function Money(options?: MoneyColumnOptions): void
```
Parameters

### options

<MemberInfo kind="parameter" type={`MoneyColumnOptions`} />

